[SOLVED !] ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"


Closed Thread
Results 1 to 11 of 11
  1. #1
    Junior Member
    Join Date
    Nov 2015
    Posts
    41
    Thumbs Up
    Received: 0
    Given: 1
    Total Downloaded
    545.00 MB

    0 Not allowed!

    Default ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"
    ASM ERROR : Linker Error "a.o(.text+0x333e): path : undefined reference to `wreg0hh'"
    ASM ERROR : Hex file not created


    Programme compiled fine until I added a CREAD32 command...

    Surrounding code and other table values ommitted for clarity and sanity.

    Tim.

    Code:
    DIM IRIS AS BYTE
    DIM CAM_IRIS_VALUE AS DWORD
    
    
    
    LK_IRIS:  CAM_IRIS_VALUE = CREAD32 IRIS_TABLE[IRIS]
                 RETURN
    
    
    
    
    
    DIM IRIS_TABLE AS CODE = AS DWORD     0,        27,        57,        11039,    11291,    118657,    121502

  2. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  3. #2
    Prolific Poster John Drew's Avatar
    Join Date
    Feb 2002
    Posts
    2,858
    Thumbs Up
    Received: 90
    Given: 34
    Total Downloaded
    4.60 GB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Tim, I also had a problem with cread32 as I was trying to bring in a float. I ended up using cread and put the problem down to me. I should have reported it at the time.If Les requires it I could also provide a sample. I was using an 18f2480.
    John
    Last edited by John Drew; 16th January 2019 at 12:38. Reason: Phone changed cread to dread

  4. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  5. #3
    Prolific Poster John Drew's Avatar
    Join Date
    Feb 2002
    Posts
    2,858
    Thumbs Up
    Received: 90
    Given: 34
    Total Downloaded
    4.60 GB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Tim, it's late here. Can you provide a complete program so Les can test compile rather second guess the full setup.
    John

  6. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  7. #4
    Junior Member
    Join Date
    Nov 2015
    Posts
    41
    Thumbs Up
    Received: 0
    Given: 1
    Total Downloaded
    545.00 MB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Hi John,
    I can send you the programme, but not on the public forum. Is there an email address I can use?

  8. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  9. #5
    Fanatical Contributor top204's Avatar
    Join Date
    Feb 2002
    Posts
    3,513
    Thumbs Up
    Received: 318
    Given: 152
    Total Downloaded
    1.99 GB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    I've just ran programs with Cread on several PIC24 and dsPIC devices and they compile without errors.

    What version of the compiler are you using? WREG0HH was placed in the compiler, along with other WREGx SFRS to make up 32-bit WREGx SFRs. See the Asm listing (Press F2). If they are not in the asm listing, then the compiler needs fully installed. It may be that you have patched older compiler versions, but the patches are only temporary measures to get things going, and a full install must be done at some point.

  10. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  11. #6
    Junior Member
    Join Date
    Nov 2015
    Posts
    41
    Thumbs Up
    Received: 0
    Given: 1
    Total Downloaded
    545.00 MB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Hi Les,

    Compiler is 3.6.2.7
    Device is dsPIC33EP512MC806

    If you give me an email address I will send the complete code.

    Code:
    ;----------------------------------------------------------
    ; code produced by proton24 1.0.5.3
    ; written by les johnson. september 2018
    ;----------------------------------------------------------
    ;
    .file "path"
    .equ WREG0, 0x0000
    .equ WREG0H, 0x0001
    .equ WREG1, 0x0002
    .equ WREG1H, 0x0003
    .equ WREG2, 0x0004
    .equ WREG2H, 0x0005
    .equ WREG3, 0x0006
    .equ WREG3H, 0x0007
    .equ WREG4, 0x0008
    .equ WREG4H, 0x0009
    .equ WREG5, 0x000a
    .equ WREG5H, 0x000b
    .equ WREG6, 0x000c
    .equ WREG6H, 0x000d
    .equ WREG7, 0x000e
    .equ WREG7H, 0x000f
    .equ WREG8, 0x0010
    .equ WREG8H, 0x0011
    .equ WREG9, 0x0012
    .equ WREG9H, 0x0013
    .equ WREG10, 0x0014
    .equ WREG10H, 0x0015
    .equ WREG11, 0x0016
    .equ WREG11H, 0x0017
    .equ WREG12, 0x0018
    .equ WREG12H, 0x0019
    .equ WREG13, 0x001a
    .equ WREG13H, 0x001b
    .equ WREG14, 0x001c
    .equ WREG14H, 0x001d
    .equ WREG15, 0x001e
    .equ WREG15H, 0x001f

  12. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  13. #7
    Fanatical Contributor top204's Avatar
    Join Date
    Feb 2002
    Posts
    3,513
    Thumbs Up
    Received: 318
    Given: 152
    Total Downloaded
    1.99 GB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Send me a forum message and I'll give the email through that. Never on the forum itself.

  14. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  15. #8
    Fanatical Contributor top204's Avatar
    Join Date
    Feb 2002
    Posts
    3,513
    Thumbs Up
    Received: 318
    Given: 152
    Total Downloaded
    1.99 GB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Hello Tim

    I've received the email and the code, and it compiles without any errors. It is using the version you have, which is version 1.0.5.3 from september 2018, and no changes have been made to the compiler since then, because even the slightest modification creates a new compiler version automatically, and that is actually part of the C++ compiler it is created in, so that I do not forget to change the version.

    This is the header of the Asm file that absolutely confirms the compiler version

    ;----------------------------------------------------------
    ; code produced by proton24 1.0.5.3
    ; written by les johnson. september 2018
    ;----------------------------------------------------------
    ;

    Try re-installing the latest compiler version, because something may have become corrupted on your drive.

  16. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  17. #9
    Junior Member
    Join Date
    Nov 2015
    Posts
    41
    Thumbs Up
    Received: 0
    Given: 1
    Total Downloaded
    545.00 MB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    I tried installing 3.6.2.7 - no difference.
    I tried Start > Programs > PDS > uninstall - didn't remove the program, so I checked the Control Panel (screen grab attached) and there were still multiple copies installed.Click image for larger version

Name:	Control Panel.jpg
Views:	8
Size:	98.1 KB
ID:	3616

    Performed several uninstall's from Control Panel then installed 3.6.2.7

    Programme still doesn't compile!

    Tim.
    Last edited by SCV; 16th January 2019 at 16:58.

  18. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  19. #10
    Fanatical Contributor top204's Avatar
    Join Date
    Feb 2002
    Posts
    3,513
    Thumbs Up
    Received: 318
    Given: 152
    Total Downloaded
    1.99 GB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    After you uninstall, delete the ProtonIDE folder from Program Files (x86). This will remove the compiler 100%, because the installer does not update some files that are constant and never change etc... And uninstalls never remove everything, and it is something I have no control over because it uses a microsoft MCI file mechanism. :-(

    Then re-install the compiler.

  20. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

  21. #11
    Junior Member
    Join Date
    Nov 2015
    Posts
    41
    Thumbs Up
    Received: 0
    Given: 1
    Total Downloaded
    545.00 MB

    0 Not allowed!

    Default Re: ASM ERROR : Linker Error "Warning: resource version (1.30) does not match!"

    Les has found the problem, I had the "Declare ACCESS_UPPER_64K = On" when not necessary, and this was causing the anomolly.

  22. Attention

    This valuable resource relies upon the very small amount of revenue generated by displaying online advertisements to our visitors.

    The advertisements we display are relevant to this web site and your browsing history

    Please consider supporting us by disabling your ad blocker.


    Note: Some users have reported issues related to ad-blockers rendering parts of this wesite unusable,
    where possible we will rectify the issues to enable you to use this resource with adblocking enabled.

    If you can, please report issues in the forum area WebSite / Forum Issues


    Thank you for your attention.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

     

Similar Threads

  1. Replies: 11
    Last Post: 5th September 2018, 16:44
  2. ASM ERROR : Linker Error
    By SimonJA in forum Proton 24
    Replies: 15
    Last Post: 25th February 2018, 11:29
  3. Replies: 8
    Last Post: 7th May 2014, 00:45
  4. "USB Key not found" error message
    By G4AXX in forum USB License key
    Replies: 1
    Last Post: 13th June 2011, 18:18

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts